cancel
Showing results for 
Search instead for 
Did you mean: 

Future of PHP Support

Could somebody tell what is the future of neo4j support for PHP?
Graphaware repositories are now archived, and this don't sound good. I've started a project with PHP and neo4j, and for now I can't even upgrade to neo4j 4.1 because of unsupported bolt version.

Is it dead? Should I drop neo4j?

7 REPLIES 7

webtic
Graph Fellow

Not sure if there is an official standpoint of Neo4J regarding the PHP driver issues but as an old time PHP user (from birth as PHP/FI till PHP 5.something) I can say my life has drastically improved when I dropped PHP.

It ever improved more when I found and start using Neo4J in my projects, I would seriously consider dropping PHP and start using a 1st tier supported language.

I would, but in Poland PHP is commonly used. My company uses it as wall, and my recommendation to switch to nodejs for this project was just not suitable by economic reasons. Our developers just knows PHP better than any other language.

It's best to ignore the "xxx isn't an [adjective] programming language" elitists. Such comments aren't helpful.

The developers who were keeping the official neo4j php client updated are currently focused on other things. There are still a large number of open-source, up-to-date php clients out there. Additionally, If you take a closer look at some of those clients, and how they interface with the bolt protocol, I think you'll quickly find the reason why a php client isn't really a major concern: the bolt protocol already does what a standard php mysql connection does.

Do you really need a mysql-client to use mysql in php? No. However, sometimes the convenience of pre-built structures and patterns to handle the request/response lifecycle do make development a bit easier and faster. However, any such client will bring with it some rigidity and patterns that you will be forced to incorporate.

Graphaware's php-neo4j-client has not yet been updated to connect to Neo 4, but someone is going to pick it up. Even if they don't, remember that all these clients are doing are the exception handling for connecting to bolt, sending Cypher queries, and cleaning up the results.

This looks like a fairly active fork, that has managed some 4.0 stability, and isn't far from 4.1:
github: PlumTreeSystems/neo4j-bolt-php
[github: PlumTreeSystems/neo4j-php-client(https://github.com/PlumTreeSystems/neo4j-php-client)

If you really want the crutch 😉 , I'm sure there's others out there.

Thanks! I couldn't find that single updated client.

transistive
Ninja
Ninja

Hello everyone!

There is currently an up to date PHP driver and client available in the neo4j-php namespace on github.

I am not allowed to post links on this thread, but it is also referenced in the pinned post in the PHP driver section of this community.

It works with modern versions of PHP as well as Neo4j.

Thank you @transitive !

Github:neo4-php looks healthy, and the neo4j-php-client is up-to-date (thank you again, transitive).

Nodes 2022
Nodes
NODES 2022, Neo4j Online Education Summit

On November 16 and 17 for 24 hours across all timezones, you’ll learn about best practices for beginners and experts alike.